attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_lightPos;

const vec2 LIGHT_CENTER_POS = vec2(0.5, 0.5);

void main()
{
    gl_Position = CC_PMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;

    v_lightPos.x = sin(CC_Time.y * 0.5) + LIGHT_CENTER_POS.x;
    v_lightPos.y = cos(CC_Time.y * 0.5) + LIGHT_CENTER_POS.y;
}
